Ubuntu

QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

Reported by Vladimir Kolesnikov on 2012-03-19
254
This bug affects 52 people
Affects Status Importance Assigned to Milestone
kdelibs
Unknown
Low
kde4libs (Ubuntu)
Low
Unassigned

Bug Description

Happens every time I start Kate from the console.

$ kate
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

Other than that the application seems to work fine.

$ lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

$ apt-cache policy kate
kate:
  Installed: 4:4.8.1-0ubuntu1
  Candidate: 4:4.8.1-0ubuntu1
  Version table:
 *** 4:4.8.1-0ubuntu1 0
        500 http://ua.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: kate 4:4.8.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-19.30-generic 3.2.11
Uname: Linux 3.2.0-19-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
Date: Mon Mar 19 11:48:13 2012
ExecutablePath: /usr/bin/kate
ProcEnviron:
 TERM=xterm
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
 LANGUAGE=ru_RU:ru
SourcePackage: kate
UpgradeStatus: Upgraded to precise on 2012-03-18 (0 days ago)

Vladimir Kolesnikov (sjinks) wrote :

User-Agent: Mozilla/5.0 (X11; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Build Identifier:

Each time I start a konsole, I see the following error messages:

$ konsole
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

Other KDE applications display the same error (for instance akregator).

Reproducible: Always

Steps to Reproduce:
1. Start konsole from a terminal
2. Look at what it displays in the terminal
3.
Actual Results:
error messages

Expected Results:
no error messages

This happend in KDE 4.8.1 in Ubuntu precise and in the KDE 4.8.1backport for oneiric. KDE 4.7.x did not have this problem.

This is a common problem for all KDE applications using class KUniqueApplication with Qt 4.8. Other examples are klipper,ktorrent, kmix, etc.

See https://git.reviewboard.kde.org/r/103699/

Thanks for the pointer!

I am looking forward to seeing this patch integrated into a future KDE release...

*** Bug 297229 has been marked as a duplicate of this bug. ***

This bug is still there in KDE 4.8.2.

Could somebody mark this bug as CONFIRMED since there is a duplicate ?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kate (Ubuntu):
status: New → Confirmed
Bob Vincent (pillarsdotnet) wrote :

Also happens when starting kopete from the console.

affects: kate (Ubuntu) → kopete (Ubuntu)
Changed in kopete (Ubuntu):
status: Confirmed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: kopete (Ubuntu) → kde4libs (Ubuntu)
Changed in kde4libs (Ubuntu):
status: New → Confirmed
Changed in kde4libs (Ubuntu):
importance: Undecided → Low
status: New → Triaged
choury (zhouwei400-w) wrote :

Also happens when starting kgpg from the console.

Gannet (ken20001) wrote :

Also happens when starting Muon from the console.

Gannet (ken20001) wrote :

Guys, please, vote here for this bug: https://bugs.kde.org/show_bug.cgi?id=297020

Changed in kdelibs:
importance: Unknown → Medium
status: Unknown → Confirmed

I get the message and the application never starts. It does not happen some time after restart, but only afer some time of using computer. But it happens everyday. I use debian wheezy.

Got the same problem. Now I can't start Dolphin. Very very bad problem.

is there a workaroud before the patch get integrated? It renders kde unusable for me.

(In reply to comment #6)
> Got the same problem. Now I can't start Dolphin. Very very bad problem.

Dolphin stops using KUniqueApplication since KDE SC 4.7. So :

  * If you are using KDE SC 4.7+, your dolphin problem can't be caused by this KUniqueAplication specific issue.
  * If you are using something older than KDE SC 4.8 together with Qt 4.8, that is not a good idea by itself.

(In reply to comment #7)
> is there a workaroud before the patch get integrated? It renders kde
> unusable for me.

AFAIK, this warning hasn't caused any real bug(at least I haven't heard about any in bugs.kde.org) . If you really think your problem is caused by this warning, open a new bug report, write down specific and detailed information of your problem, and link back to this bug report.

I don't know exactly if it related to the bug or not, but I stopped nepomuk and right after that... three instances of Dolphin started, which I was trying to run before.

qdbus org.kde.NepomukServer /nepomukserver org.kde.NepomukServer.quit

I still got the same warning with Ubuntu 12.04 32-bit for KDE 4.8.3. It seems that Konsole behaves extremely sluggish due to this warning message. Not satisfied.

Soo-Hyun Choi (s.choi) wrote :

Due to this warning, Konsole seems to behave very sluggish. I am under Ubuntu 12.04 32-bit, KDE 4.8.3.

Same for me. Happens with about any Kde application launched.

I can confirm the nepomuk daemon taking 100% CPU, and making other applications unresponsive.
After disabling file indexing things got a bit better, but I still have stability problems, even with desktop effects disabled.

For instance: applications fail to launch (or only launch after a long, long time), the activity bar gets blanked and irresponsive applications crash, etc etc. If I try again, the problem is not reproducible. So it's pretty random. I'm not sure that everything is related, but this DBUS message is there every time...

I'm using Ubuntu 12.04 64 bit, KDE 4.8.4

maxim (off220) wrote :

same for me. Kubuntu 12.04 x86-64. Latest updates.

Hola, a mí también me ha aparecido este error cuando intentaba echar a andar el kfilebox. He de decir que no estoy seguro de haber hecho bien la instalación de la aplicación, aunque seguí los pasos lo mejor que pude. El sistema operativo es Chakra Archímedes; creo que es la última versión estable, si no me equivoco. Perdón, soy recién llegado a Chakra...
De otro lado, mi Dolphin va perfectamente, como un avión, como siempre. Pero yo también inutilicé Nepomuk y Strigi ayer, creo (se me mezclan los días con tanto ordenador!), no sé si tendrá que ver. Sólo me ha ocurrido con kfilebox, lo demás va bien (cruzo los dedos)

*** Bug 303744 has been marked as a duplicate of this bug. ***

I cant open any application right now - getting fustrated.

Fully updated Kubuntu 12.04 64-bit. It worked quite well yesterday.... :-(

Maybe it helps others:
in fustration I changed to tty1 Ctrl +Alt F1
then:
<code>
$ sudo stop kdm
$ rm -rf ~/.kde ~/.kderc /var/tmp/kdecache-<MY USERNAME>
$ sudo start kdm
</code>

I lost all my customizaitons (~2 days of work), but at least now KDE is working again. The error:
<code>
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
</code>
remains though...

I upgraded my Kubuntu system to KDE 4.9 from precise kde backports and this bug is still there.

I gave up on Kubuntu 12.04 and installed Linux Mint 13 (XFCE) instead. I still want to use kde-apps (kate, kdevelop, konquoror, ...) and they run OK, but also in this setting I get he above message from following apps:
kate
systemsettings
konqouror
kdebugdialog

Interestingly these KDE-apps does NOT display this message at start up (?)
kdevelop
k4dirstat

-------------------------------------------------------------
Output from Konqouror
-------------------------------------------------------------
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
KDE Daemon (kded) already running.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
kbuildsycoca4(2511) kdemain: Reusing existing ksycoca
...

Sergey Ivanov (icegood1980) wrote :

still present. Applications: kate, wicd-kde

Sergey Ivanov (icegood1980) wrote :

I mean under kubuntu 12.04

*** Bug 305266 has been marked as a duplicate of this bug. ***

Patch for Qt, omits qdbusconnection warnings in release/no-debug mode.

The attachment "qt-everywhere-opensource-src-4.8.1-qdbusconnection_no_debug.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Same issue on KDE 4.8.4 (Debian/Wheezy 3.2.0-3-amd64 #1 SMP Mon Jul 23 02:45:17 UTC 2012 x86_64 GNU/Linux).

It starts the moment KDM goes up and slowly fills log up to ~50MB after about 50 hrs:
Xsession: X session started for {my-username} at Sun Sep 2 21:23:39 EDT 2012
localuser:{my-username} being added to access control list
startkde: Starting up...
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

Looks like nepomuk just adds to it, but the message shows with or without it.

Gabor Vas (cognac-gamma) wrote :

It affects my plasma-desktop, see duplicate. Very frustrating.

*** Bug 307731 has been marked as a duplicate of this bug. ***

Same issue on KDE 4.9.3 with Gentoo Linux x86_64 when amarok is started
(Linux superb 3.4.9-gentoo #3 SMP PREEMPT Sat Nov 10 02:10:29 ALMT 2012 x86_64 Pentium(R) Dual-Core CPU E6500 @ 2.93GHz GenuineIntel GNU/Linux)

[drhouse123:~]$ amarok
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=&lang=ru&method=user.getNeighbours&user=" )
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=&lang=ru&method=user.getFriends&user=" )
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=&lang=ru&method=user.getTopTags&user=" )
 QUrl( "http://ws.audioscrobbler.com/2.0/?api_key=&lang=ru&method=user.getTopArtists&user=" )

Mattia Rizzolo (mapreri) on 2012-11-23
tags: added: quantal

*** Bug 311943 has been marked as a duplicate of this bug. ***

So what is the solution?

On Dec 19, 2012, at 12:04 PM, Jekyll Wu <email address hidden> wrote:

> https://bugs.kde.org/show_bug.cgi?id=297020
>
> Jekyll Wu <email address hidden> changed:
>
> What |Removed |Added
> ----------------------------------------------------------------------------
> CC| |<email address hidden>
>
> --- Comment #22 from Jekyll Wu <email address hidden> ---
> *** Bug 311943 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

Its not the error message hat concerns me. Its the inconsistency of the keyboard opening and closing. I need that to be on point.
On Dec 19, 2012, at 12:04 PM, Jekyll Wu <email address hidden> wrote:

> https://bugs.kde.org/show_bug.cgi?id=297020
>
> Jekyll Wu <email address hidden> changed:
>
> What |Removed
> ----------------------------------------------------------------------------
> CC| |<email address hidden>
>
> --- Comment #22 from Jekyll Wu <email address hidden> ---
> *** Bug 311943 has been marked as a duplicate of this bug. ***
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

Changed in kdelibs:
status: Confirmed → Unknown

For me this often breaks my keyboard shortcuts - none of my
When I try to access "systemsettings" from the console, I'll see this error message.
When I try to access the "shortcuts and gestures" module, it takes 2-3 /minutes/ to show.
Applying changes within the module often result in a segfault!

If there is anything I can do to help collect more data / do tests, /please/ let me know!

For me this often breaks my keyboard shortcuts (setup in the "shortcuts and gestures" module)!
When they are not working, then:
* When I try to access "systemsettings" from the console, I'll see this error message.
* When I try to access the "shortcuts and gestures" module, it takes 2-3 /minutes/ to show.
* Applying changes within the module often result in a segfault!

If there is anything I can do to help collect more data / do tests, /please/ let me know!

Sorry for the double post earlier :/

~ % systemsettings #12353 me@seven pts/6
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

>>>> And when the "shortcuts and gestures" module finally got loaded:
systemsettings(6012)/khotkeys: Unable to start server org.kde.khotkeys (kded module) [ "org.freedesktop.DBus.Error.NoReply" ]: "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."

>>>> And when I changed an existing shortcut (by assigning a different keyboard shortcut) and systemsettings crashed:
systemsettings(6012)/khotkeys: Unable to start server org.kde.khotkeys (kded module) [ "org.freedesktop.DBus.Error.NoReply" ]: "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."
KCrash: Application 'systemsettings' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/me/.kde4/socket-seven/kdeinit4__0

Are these additional error messages I am seeing and I am having with using the "Shortcuts and Gestures" module in systemsettings related and consequences from the first error message "session D-Bus connection created before QCoreApplication." ?
Or should they be reported in a different bug ?

The above is reproducable (once I get the initial error message "QDBusConnection: session D-Bus connection created before QCoreApplication.")!
For me often with a restart of the computer the problems are gone.
... I am not sure yet, but I also think the problems either appear right after login or not at all (until I reboot).

I have this error messages with kde 4.9.5 but it is related to kwalletd.

I need to kill kwalletd before it starts to work again.

Everyone: this warning from QDBusConnection is HARMLESS, and is not the reason for any bug you might be seeing in the application showing this warning. Do not associate things that are completely unrelated.

I started to look into changing KUniqueApplication so that the warning doesn't get printed, but it turns out to be very difficult due to the forking, see kde-core-devel for more information.

Changed in kdelibs:
importance: Medium → Low
JaSauders (jasauders) wrote :

I just ran into this same exact error when I tried to pass a -e parameter to Konsole. I was trying to bind a shortcut so I could hit a key combination and Konsole would open to an SSH session on my server.

konsole -e 'ssh jason@192.168.1.20'

Running that command results in two lines of the above error, along with what appears to be a Konsole session opening and closing immediately with no SSH session present. If I run the exact same command in other terminals, it works fine... example:

terminator -e 'ssh jason@192.168.1.20'
gnome-terminal -e 'ssh jason@192.168.1.20'

Thought I'd comment. Thanks!

osirisgothra (osirisgothra) wrote :

Just wanted to post that this bug seems to still exist under Ubuntu 12.04 LTS and 12.10
with KDE 9.10.0 installed and all upgrades to current backports, is this really a bug or maybe
there just needs to be a way to turn off these warnings?

osirisgothra (osirisgothra) wrote :

-- Footnote to that, maybe place it in the kdebugdialog??

Luis Alvarado (luisalvarado) wrote :

Started happening since the updates I did on 13.04 Today April 24.

cyrex@cyrex:~$ ktorrent
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.

And the problem is, because of this, I can not start downloading any torrent.

Happens every time I start a remote ssh konsole, as in:

$ ssh -X network konsole
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
unnamed app(15824): KUniqueApplication: Cannot find the D-Bus session server: "Failed to connect to socket /tmp/dbus-kKT1rz9E0S: Connection refused"

unnamed app(15815): KUniqueApplication: Pipe closed unexpectedly.

Larry Williams (ltwilliams58) wrote :

The issue remains in 13.04 raring.

I can't tell if this is related to konsole ignoring and overwriting konsolerc. Would be nice to see this resolved or, at least, conformation that the konsole issue is not related.

Nik.Th. (nick-athens30) wrote :

The issue remains in Kubuntu 13.10 (Saucy Salamander). Package : KMix is not opening either from menu or Konsole.

tags: added: saucy
pazuzuthewise (pazuzuthewise) wrote :

It happens to me also in Saucy x86. Ktorrent would not start, and when invoked from console, it gives the respective error message. Disabling nepomuk (in System settings > Desktop search), seems to fix the problem. With Nepomuk disabled, Ktorrent starts normally.

Unuseful log crap is not harmless.

(In reply to comment #29)
> Everyone: this warning from QDBusConnection is HARMLESS, and is not the
> reason for any bug you might be seeing in the application showing this
> warning. Do not associate things that are completely unrelated.
>
> I started to look into changing KUniqueApplication so that the warning
> doesn't get printed, but it turns out to be very difficult due to the
> forking, see kde-core-devel for more information.

(In reply to comment #28)
> I have this error messages with kde 4.9.5 but it is related to kwalletd.
>
> I need to kill kwalletd before it starts to work again.

Please update your installation, as that kwalletd version had some lock problems I already solved.

deb (yoggic) wrote :

Same bug in Kubuntu 14.04, with KDE 4.13.0
m2n@m2n:~$ konsole
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
guillaume@guillaume-m2n:~$ Bus::open: Can not get ibus-daemon's address.
IBusInputContext::createInputContext: no connection to ibus-daemon
Same with Kate.
Hope It will be fix soon!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.